Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZCollaborationViewHandler Class Reference

The class eZCollaborationViewHandler does. More...

## Public Member Functions
| __construct ( $viewMode, $viewType)
| template ()

## Static Public Member Functions
static | ini ()
static | exists ( $viewMode)
static | groupExists ( $viewMode)
static | fetchList ()
static | fetchGroupList ()
static | instance ( $viewMode, $type=self::TYPE_STANDARD)

## Public Attributes
const | TYPE_STANDARD = 1
const | TYPE_GROUP = 2
| $ViewMode
| $ViewType
| $TemplateName
| $TemplatePrefix

## Detailed Description

The class eZCollaborationViewHandler does.

Definition at line 17 of file ezcollaborationviewhandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZCollaborationViewHandler::__construct | ( |  | $viewMode,
|  |  | $viewType
| ) |  |

Initializes the view mode.

Parameters

  string | $viewMode |
  int | $viewType |

Definition at line 28 of file ezcollaborationviewhandler.php.

References ini().

## Member Function Documentation

## ◆ exists()

static eZCollaborationViewHandler::exists | ( |  | $viewMode | ) |
| static

Returns
  true if the viewmode $viewMode exists with the current configuration

Definition at line 72 of file ezcollaborationviewhandler.php.

References fetchList().

## ◆ fetchGroupList()

static eZCollaborationViewHandler::fetchGroupList | ( |  | ) |
| static

Returns
  a list of active viewmodes for groups.

Definition at line 101 of file ezcollaborationviewhandler.php.

References ini().

Referenced by groupExists().

## ◆ fetchList()

static eZCollaborationViewHandler::fetchList | ( |  | ) |
| static

Returns
  a list of active viewmodes.

Definition at line 92 of file ezcollaborationviewhandler.php.

References ini().

Referenced by exists().

## ◆ groupExists()

static eZCollaborationViewHandler::groupExists | ( |  | $viewMode | ) |
| static

Returns
  true if the viewmode $viewMode exists for groups with the current configuration

Definition at line 82 of file ezcollaborationviewhandler.php.

References fetchGroupList().

## ◆ ini()

static eZCollaborationViewHandler::ini | ( |  | ) |
| static

Returns
  the ini object for collaboration.ini

Definition at line 63 of file ezcollaborationviewhandler.php.

Referenced by __construct(), fetchGroupList(), and fetchList().

## ◆ instance()

static eZCollaborationViewHandler::instance | ( |  | $viewMode,
|  |  | $type = `self::TYPE_STANDARD`
| ) |  |
| static

Returns a shared instance of the eZCollaborationViewHandler class pr the two input params.

Parameters

  string | $viewMode |
  int | $type | Is self::TYPE_STANDARD by default

Returns
  eZCollaborationViewHandler

Definition at line 115 of file ezcollaborationviewhandler.php.

## ◆ template()

eZCollaborationViewHandler::template | ( |  | ) |

Returns
  the template which is used for viewing the collaborations.

Definition at line 54 of file ezcollaborationviewhandler.php.

## Member Data Documentation

## ◆ $TemplateName

eZCollaborationViewHandler::$TemplateName

Definition at line 136 of file ezcollaborationviewhandler.php.

## ◆ $TemplatePrefix

eZCollaborationViewHandler::$TemplatePrefix

Definition at line 137 of file ezcollaborationviewhandler.php.

## ◆ $ViewMode

eZCollaborationViewHandler::$ViewMode

The viewmode

Definition at line 134 of file ezcollaborationviewhandler.php.

## ◆ $ViewType

eZCollaborationViewHandler::$ViewType

Definition at line 135 of file ezcollaborationviewhandler.php.

## ◆ TYPE_GROUP

const eZCollaborationViewHandler::TYPE_GROUP = 2

Definition at line 20 of file ezcollaborationviewhandler.php.

## ◆ TYPE_STANDARD

const eZCollaborationViewHandler::TYPE_STANDARD = 1

Definition at line 19 of file ezcollaborationviewhandler.php.

The documentation for this class was generated from the following file:

- ezcollaborationviewhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.